<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.BillsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="billsResultMap" type="org.springblade.estate.entity.Bills">
        <result column="id" property="id"/>
        <result column="status" property="status"/>
        <result column="agency_id" property="agencyId"/>
        <result column="agency_name" property="agencyName"/>
        <result column="residential_id" property="residentialId"/>
        <result column="residential_name" property="residentialName"/>
        <result column="building_id" property="buildingId"/>
        <result column="building_name" property="buildingName"/>
        <result column="unit_id" property="unitId"/>
        <result column="unit_name" property="unitName"/>
        <result column="floor_id" property="floorId"/>
        <result column="floor_name" property="floorName"/>
        <result column="room_id" property="roomId"/>
        <result column="room_name" property="roomName"/>
        <result column="org_position" property="orgPosition"/>
        <result column="bills_date" property="billsDate"/>
        <result column="total_fee" property="totalFee"/>
        <result column="estate_company" property="estateCompany"/>
        <result column="estate_company_id" property="estateCompanyId"/>
        <result column="pay_way" property="payWay"/>
        <result column="pay_id" property="payId"/>
        <result column="is_del" property="isDel"/>
    </resultMap>


    <select id="selectBillsPage" resultMap="billsResultMap">
        select * from estate_bills where is_deleted = 0
    </select>

</mapper>
